#### D.5.13.2 ResTree

Procedure from library `resgraph.lib` (see resgraph_lib).

Usage:
  ResTree(L,M[,name][,mark]);
  L = list
  M = matrix
  name = string
  mark = intvec

Assume:
  - L is the output of 'resolve' from resolve.lib
  - M is first entry of output of 'collectDiv(L);' from reszeta.lib
  - write permission in the current directory or in the
  directory in which the file with name 'name' resides
  - mark intvec of size size(L[2])
  mark[i]=0 (default) border of box black
  mark[i]=1 border of box red

Create:
  file 'name.jpg' containing the tree of charts of L
  if filename is given

Note:
  only available on UNIX-type systems and programs
  'display' (imagemagick package) and 'dot' (Graphviz package) need to
  be in the standard search PATH

Return:
  nothing, only generating graphics output in separate window

User manual for Singular version 4.4.1, 2025, generated by texi2html.